import React from "react";
import { OK } from "../shared/StatusMessage";
import Tile from "../shared/Tile";
import useApi from "../../hooks/useApi";

export default () => {
  const [health, data] = useApi(`https://${window.location.hostname}/teamspeak/api`);

  return <Tile
    link={`https://${window.location.hostname}/teamspeak/`}
    title="Teamspeak Server"
    health={health}
    data={health === OK ? `${data.users.length} user(s) online` : null}
  />
}
